	//Verifica se um valor é inteiro
	function isInt(value) {
 		return !isNaN(value) &&
 				parseInt(Number(value)) == value &&
        		!isNaN(parseInt(value, 10));
	}

	//Função responsável por determinar a  troca de layout
	function changeLayout(layoutId){
		//console.log("Mudando para o layout de id " + layoutId);
		if(isInt(layoutId)){
			AreaInterface.changeLayout(layoutId);
			//console.log("Mudando para o layout de id " + layoutId);
		}
	}

	//Função responsável por determinar a troca de playlist
	function changePlaylist(playlistId){
		if(isInt(playlistId)){
			//console.log("Mudando para o playlist de id " + playlistId);
			var response = AreaInterface.changePlaylist(playlistId);
		}
	}

	//Função responsável por parar o scheduler de troca de notícias;
	function stopSchedulerNews(){
		clearInterval(window.interval);
		clearInterval(schedulerNews);
	}
	//Função responsável por iniciar o scheduler de troca notícias;
	function startSchedulerNews(){
		//console.log("Start schedulerNews");
		schedulerNews = setInterval(function() { nextNews(); }, NEWS_TIME);
	}

	//Função responsável por requisitar a próxima notícia ao player
	function nextNews(){
		var response = AreaInterface.nextNews();
		//response = decodeURIComponent(decodeURIComponent(responseR));
		//console.log("Response: " + response);
	  	if( (typeof(response) == 'string') && (response.indexOf('&') !== -1 )){
	    	var rss = response.split('&');
	    	//console.log("RssImg: " + rss[0] + " - RssTxt: " + rss[1] );
	    	loadNews(rss[0],rss[1]);
	  	}
	}

	// variáveis definidas para o funcionamento do template
	var variables = [
		'atualT',
		'fraseCurta',
		'icone',
		'cidade',
		'iconoite',
		'max',
		'min',
		'solnascente',
		'solpoente'
	];

	//window.moeda = 'tag_description1';
	//Função responsável por exibir os dados da notícia no template
	function loadNews(imgVar, txtVar){
		var options = parseQueryString(decodeURIComponent(decodeURIComponent(txtVar)));

		// verifico de todas as variáveis estão definidas,
		// caso negativo finalizado a notícia
		for(var i=0; i<variables.length; i++) {
			if (typeof options[variables[i]] == "undefined") {
				console.log('Variable is undefined: ', variables[i]);
				// Finalizando a notícia para ir para o próximo
		  		Android.finish();
			} else if (options[variables[i]] === '') {
				console.log('Variable is empty: ', variables[i]);
				// Finalizando a notícia para ir para o próximo
				Android.finish();
			}
		}

		try {
			//preencheDado(options);
			//var options = parseQueryString(txtVar);
			for(var key in options){
	    		var element = document.getElementById(key);

	    		//console.log(key, options[key]);//imprime todo xml
	    		if (element) {
			    	if(element.tagName.toLowerCase() == "img"){
						//console.log(element, key, options[key]);
						if(key == "icone"){

							var agora = new Date();
							var solPoente = options["solpoente"].split("h");
							//console.log(solPoente);
							var solPoenteDate = new Date();

							solPoenteDate.setHours(parseInt(solPoente[0]));
							solPoenteDate.setMinutes(parseInt(solPoente[1]));
							solPoenteDate.setSeconds(0);
							console.log("icone1", options["icone"].replace("_c", ""));
							//console.log("icone1", agora, solPoenteDate);
							//console.log("fabio", solPoenteDate.getTime(), agora.getTime());
							if( agora.getTime() > solPoenteDate.getTime()){
								element.src = "climaatual/" + options["iconoite"].replace("_c", "") + ".png";
								continue;
							}
						}
	        			element.src = "climaatual/" + options[key].replace("_c", "") + ".png";
					} else {
	        			element.innerHTML = options[key].replace("+", " ");
	      			}
	      			element.innerHTML = options[key].replace("+", " ");
	    	    }
			}
			//console.log(options["max"].substring(0, 2), options["atualT"].substring(0, 2));
			
			if(options["max"].substring(0, 2) <= options["atualT"].substring(0, 2)){
				options["max"] = options["atualT"]-1+2 + '°';
				document.getElementById("max").innerHTML = options["max"].replace('C','');
			}else{
				document.getElementById("max").innerHTML = options["max"].replace('C','');
			}
			if(options["min"]){
				document.getElementById("min").innerHTML = options["min"].replace('C','');
			}
			if(options["atualT"]){
				document.getElementById("atualT").innerHTML = options["atualT"] + "°c";
			}

			console.log("Success in weather display!");
		} catch (e) {
			console.error("There was some error in the weather display. Please check if the variables are in the template are correct!");
		  	console.error("Error Info: ", e.message);

		  	// Finalizando a notícia para ir para o próximo
		  	Android.finish();
		}
					/*
					if(options["nomedia1"]){
						document.getElementById("nomedia1").innerHTML = "Hoy";
					}
					if(options["nomedia2"]){
						document.getElementById("nomedia2").innerHTML = "Ma&#241;ana";
					}*/
					// if(options["nomedia3"]){
					// 	document.getElementById("nomedia3").innerHTML = "Pasado Ma&#241;ana";
					// }
					//element.innerHTML = options[key].replace("+", " ");
	}

				/*
				function preencheDado(options) {
				// description1
				if(window.moeda == 'tag_description1') {

					document.getElementById("indice").innerHTML = options["tag_description1"].substring(0,3);// .slice(0, -2)
					document.getElementById("indicePrefix").innerHTML = "Dolar CLP$";
					window.moeda = 'tag_description2';

					return;
				}

				// description2
				else if(window.moeda == 'tag_description2') {

					document.getElementById("indice").innerHTML =options["tag_description2"].substring(0,3);// .slice(0, -2)
					document.getElementById("indicePrefix").innerHTML = "Euro CLP$";
					window.moeda = 'tag_description3';

					return;
				}
				// description3
				else if(window.moeda == 'tag_description3') {

					document.getElementById("indice").innerHTML = "$ " + options["tag_description3"];// .slice(0, -2)
					document.getElementById("indicePrefix").innerHTML = "UF";

					window.moeda = 'tag_description4';

					return;
				}
				// description4
				else if(window.moeda == 'tag_description4') {

					document.getElementById("indice").innerHTML = "$ " + options["tag_description4"];// .slice(0, -2)
					document.getElementById("indicePrefix").innerHTML = "UTM";
					window.moeda = 'tag_description1';

					return;
				}

				//console.log('dados', key,'---' ,options);
		}*/

	//Função responsável por fazer o parse dos dados da notícia passados como parâmetro através da chamada da url
	function parseQueryString (queryString) {
		if(typeof(queryString) != 'string'){
	    	return queryString;
	    }
		queryString = queryString.split("+").join("%20");

	    if(queryString[0] == '?'){
	      queryString = queryString.substring(1, queryString.length);
	    }

	    var params = {}, queries, temp, i, l;
	    queries = queryString.split('&');

	    for ( i = 0, l = queries.length; i < l; i++ ) {
	      temp = queries[i].split('=');
	      params[temp[0]] = temp[1];
	    }

	    return params;
	}

	var MILISECONDS = 1000;
	//Tempo de duração de uma notícia em segundos
	var NEWS_TIME_IN_SECONDS =  5;
	//Tempo de duração de uma notícia em milisegundos
	var NEWS_TIME = NEWS_TIME_IN_SECONDS * MILISECONDS;
	var response = window.location.search.slice(1);
	var options = parseQueryString(response);

	window.onload = function() {
		loadNews(options.imgVar, options.txtVar);
	};

	var schedulerNews = setInterval(function() { nextNews(); }, NEWS_TIME);
	//console.log(options);